add_mesh_building_basics
Closed, ArchivedPublic

Description

The "Building Basics" project is meant to consolidate, cleanup, and extend existing modules for "add_mesh_building_objects" in order to create a singular reference for multiple modules.

Version 1.6 - Final, for now, a few known issues but usable. Documentation does not match UI for all scripts but general operation is correct.

Documentation: Visit Building Basics for details on use and operation.

Code:
To simplify download/installation

is provided.

Community:
See Archimesh as alternate collection/package.

Details

Type
Patch
There are a very large number of changes, so older changes are hidden. Show Older Changes
Jim (jambay) updated the task description. (Show Details)Apr 30 2015, 6:06 AM

Continuing updates for Doorway, added "Door" based on archimesh/door_maker. The "Sidelight" option is merely UI presentation, no functionality yet. Much work still needed to include knobs, more types, and sidelight panels.

Jim (jambay) updated the task description. (Show Details)Apr 30 2015, 6:42 PM

Doorway updated, Sidelights now creates "space" for panels but no structure - also, still slightly off depending on casing size for panel positioning. Documentation to follow, maybe after I add some structure...

More Doorway updates: accounted for sill to offset base of door panel, added some color materials for objects to help visually differentiate while developing (to be removed or added as UI options). Almost done with this one, but I keep saying that (every-time I test something I get another idea - todo list keeps expanding even when I complete some...).

Thx all for continued support.

Uploaded zip file with latest source.

Jim (jambay) updated the task description. (Show Details)May 1 2015, 9:02 PM

Updated Doorway with some "Styles" (basic designs); renamed some internal references in anticipation of enhancements to minimize confusion. Not included in zip.

If I'm wasting my time working on this collection of scripts... I'd like to know now. Will finish up what I've started but no further plans to expand if not wanted by community. Not that there's been negative feedback, but no responses to continue either. Granted, that may change when ready for release and submit for final review (including BA post).

I looked in your Addon, and I found it very interesting. It integrates other Addons that are related to buildings.
I expect it to be reviewed and be integrated into Blender Addons.

I have only one question:
Authors of the other addons will update this addon too?

Hey Jambey,
Sorry to not comment before. I'm looking at your progressing regulary. I must say you are progressing so fast and I have not much time free, so I just waited for it to settle a bit. Don't know for other people, but I think what you do is very valuable. Best thing would be to join with original programmer as far as possible, to ensure your addon always has the latest functions and bugfixes.
Again, thanks a lot for your work. If it can reassure you, bug reporters are not thanked that much either. Maybe you should open a thread on BA and report your progression there if you want more feedback.

Jim (jambay) added a comment.EditedMay 4 2015, 2:35 AM

Thanks all for the positive feedback, wasn't looking for praise, just direction. As for others modifying, yep, is GPL, so anyone may change.

See following post regarding latest source - no new features yet, just organizing for next round of enhancements.

Jim (jambay) updated the task description. (Show Details)May 4 2015, 2:51 AM

Organizational and cosmetic updates to many scripts - added UtilMats.py to group materials creation for several objects.

This update replaced all files, including zip to ensure they are synchronized. There are no new features with this update.

Jim (jambay) updated the task description. (Show Details)May 4 2015, 9:45 AM

Updated Doorway - added "Type" to set material color, and fixed bug with "Default Style" setting incorrect notch values.

Jim (jambay) updated the task description. (Show Details)EditedMay 4 2015, 3:37 PM

Doorway update, added RGB user settings for door material/color. See wiki for details on usage. http://wiki.blender.org/index.php/Extensions:2.6/Py/Scripts/Add_Mesh/Doorway

Jim (jambay) updated the task description. (Show Details)May 4 2015, 7:30 PM

Continuing Doorway updates - code cleanup and subroutines added in preparation for enhancements.

Jim (jambay) updated the task description. (Show Details)May 5 2015, 10:45 AM

Doorway update, added knobs, affected several files, zip updated too. Much more work to be done to "standardize" operation.

Jim (jambay) updated the task description. (Show Details)May 6 2015, 2:38 AM

Doorway and Knobs update, general cleanup/standardization, still much more to do.

hi, I've done some usability tests with average results.
Please be careful adding too many external scripts. (Lamp from archimesh is not good.)
I would rather see archimesh devs develop their own tools.

I do see some potential & improvements in some areas.
IMO I would try to focus on grouping:
Window,
Doorway (needs work) although the 'Fireplace type setting is good, but the settings need fixes: no overlap of door types is one to easily turn off. Not tested door knobs yet but I like the enhancement.
Balcony ( you called it 'Counter'... it's not, it's a Balcony used for exteriors of buildings.)
beam builder
then Group Walls & Columns.
I would have menu item in add mesh: Building Basics,
this would open submenu with 2 headings, "Modern" & "Ancient" ( I can help with this. )

If you have any questions, don't hesitate to ask in irc.
Thanks.

Thank you for the feedback - Renamed Balcony to counter as when used as a stand-alone object, more like a reception desk than an elevated Balcony attached to a wall. Semantics, np to rename again.

Regarding the incorporation of other external scripts, such as lamp/lights - they seem stagnant and fit in grouping for interior design/architecture.

As you suggested, separating between Modern, Ancient, and perhaps Interior Design will help users select the appropriate item.

At present planning to integrate "Window" with Doorway (they are so similar), as enhancements to Door not a Window maker, and I don't want to attempt to manage that source since it is, as I understand, replaced by Window Generator 3.

Much more work to do to finalize features and documentation.

Advance notice - Window.py is going away. Major changes to Doorway.py and Door.py (new script; previously inline Doorway code, and merge with Window). This has helped reduce the UI options for redundant selections, and though more to do, progressing nicely.

Jim (jambay) updated the task description. (Show Details)May 9 2015, 1:09 AM

Major changes to Doorway, not all features fully developed (e.g. bugs and enhancements). Simplified main script to be "Frame" and UI, externalized door panel code and merged with Window.py script.

Jim (jambay) updated the task description. (Show Details)May 9 2015, 8:35 AM

Updated Doorway and Door scripts, based on testing and documentation review for general details and cleanup. Still a few bugs to fix (split door in particular); otherwise in good shape for review.

Jim (jambay) updated the task description. (Show Details)May 9 2015, 11:57 AM

Updated Doorway, Door, and Knobs - sizing and positioning fixes; Split door still a problem with panels.

Updated Doorway and Door - cleanup and fixes for split door working with Sidelights. Still a few issues to resolve before ready to do V 1.0 release.

Jim (jambay) updated the task description. (Show Details)May 11 2015, 4:43 PM

Uploaded V1.0 of Building Basics. There are a few known issues on the "to do" list, but, nothing major. That doesn't mean users won't find problems that need to be resolved. As for "enhancements" or general improvements, all comments are welcome.

Documentation updates and a posting to Blender Artists for community consideration will follow.

Thanks to all for continued support. This one is almost done.

Jim (jambay) updated the task description. (Show Details)May 12 2015, 1:15 AM

Added link to BA post for Building Basics. Don't like the editor, and having problems linking images, but otherwise, please feel free to view and comment.

Jim (jambay) updated the task description. (Show Details)May 13 2015, 7:31 AM

Updated Doorway, Door, and UtilMats - some default settings and material management.

Jim (jambay) updated the task description. (Show Details)May 13 2015, 9:11 PM

Updated Door.py: added structure for Sidelights (same as door for now), and fixed Sidelights both sides with Split hinge.

Jim (jambay) updated the task description. (Show Details)May 15 2015, 1:58 AM

Updated Beams - removed sub-menu in order to consolidate UI and cleanup code in general. Though init has V1.01 for version, not official yet, still some cleanup to do and will include all updates in zip/archive when next release finalized.

Jim (jambay) updated the task description. (Show Details)May 15 2015, 7:25 AM

Version 1.1 uploaded. Beams major overhaul, which lead to some basic material management changes that were included in other scripts. All files replaced, including zip/archive.

Campbell Barton (campbellbarton) triaged this task as Incomplete priority.May 15 2015, 11:44 AM

Hi, Jambay, there hasn't been much active development of this addon. Would you accept to become maintainer?

If so, could you submit this as a differential, or commit to a git branch, so we can check the difference before finally moving into contrib master?

As far as "manager", until I get involved in another project this is my focus. Still trying to complete standardization and such. Will continue to maintain and respond to community feedback. Have not yet setup GIT for repository but meta has a few things going in that area that I might just dump on him :)

Jim (jambay) updated the task description. (Show Details)May 16 2015, 1:01 AM

updated Doorway, Door, and UtilMats for standard color management - and fiddled with setting portal to use singular blender units - error with arched yet to be resolved; also, when door is split and sidelight right side, knobs reversed.

Fixes pending, but worth updating for other changes. WIP

Beams upload, missed change for material modifications. Sorry, bad source management on my part.

Advance warning for V1.2... renamed Counter to Balcony, and added Table (very similar but different usage/styles). Not uploaded yet, just saying so nobody surprised with next release - all files will be replaced.

Jim (jambay) updated the task description. (Show Details)May 18 2015, 5:31 AM

Version 1.2 uploaded, many know issues, back to "Testing" status. Documentation updates to follow. Main changes - Counter renamed (back) to Balcony, added Table (very incomplete); still working on Doorway/Door issues.

Jim (jambay) updated the task description. (Show Details)May 20 2015, 4:21 AM

Just a few tweaks to Doorway/Door. Added a few options, changed defaults, still working on door matching 3D cursor.

Jim (jambay) updated the task description. (Show Details)May 20 2015, 6:31 AM

Fixed tracking 3D cursor for Door.

Jim (jambay) updated the task description. (Show Details)May 20 2015, 9:33 AM

Beams updated, UI changes and some general cleanup. Still need to correct "C" beam option.

Uploaded v 1.3 - Beams done, Table still just a concept, zip is current. Now for some doc work... ;)

Jim (jambay) updated the task description. (Show Details)May 26 2015, 7:52 AM

Blockwall overhaul in progress - phase 1; removed Blocks as script, still working on integration. Major UI changes; doc will be updated with next zip update.

Jim (jambay) updated the task description. (Show Details)May 28 2015, 5:46 AM

More general updates for Blockwall, Door and knobs. init has 1.4 version but not official yet (zip not updated yet).

Jim (jambay) updated the task description. (Show Details)May 31 2015, 7:01 AM
Jim (jambay) updated the task description. (Show Details)May 31 2015, 7:06 AM

Version 1.4 "Alpha" - not quite done yet with Blockwall mods, and lots of doc to do too, but cleanup in progress. I apologize for errors in file updates, didn't see wrong replacement for files. Thx for your patience.

Jim (jambay) updated the task description. (Show Details)Jun 2 2015, 7:03 AM

Version 1.4 next... updated all files, still doing some final cleanup and once UI mods are completed will update documentation. V 1.5 should be the "official" release, close/soon. ;)

Jim (jambay) updated the task description. (Show Details)Jun 2 2015, 9:30 AM
Jim (jambay) updated the task description. (Show Details)Jun 3 2015, 7:13 AM

Version 1.5 uploaded - no more "major" changes planned, just cleanup or necessary fixes. Documentation updates for next few days, otherwise... done.

Jim (jambay) updated the task description. (Show Details)Jun 5 2015, 4:08 AM
Jim (jambay) updated the task description. (Show Details)Jun 17 2015, 2:30 PM

Updated Blockwall - still in overhaul but with so many changes to UI had to post, doc changes soon after next release.

Jim (jambay) updated the task description. (Show Details)Jun 19 2015, 7:56 AM

More Block Wall mods; UI changes too.

Building Basics is about to be closed. A few more mods for block wall then going to start another project "Castle". Will incorporate many of the scripts from this collection but with major changes to use and operation not consistent with current design. Maintenance, as needed will be provided but this is at the "limit" for functionality without a total replacement.

Jim (jambay) updated the task description. (Show Details)Jun 21 2015, 1:57 AM
Jim (jambay) updated the task description. (Show Details)Jun 21 2015, 3:23 AM

V 1.6 uploaded; mostly just finalizing Block Wall mods. Officially (for my part) in maintenance mode, only make changes when absolutely required/requested.

Thx all for support - this isn't over, just moving to new project.

Jim (jambay) updated the task description. (Show Details)Jun 21 2015, 7:31 AM

Removed individual file references, archive/zip is only source.

Bastien Montagne (mont29) raised the priority of this task from Incomplete to Normal.Jun 28 2015, 10:10 AM

@Jim (jambay)
closing this task as archived, possibly we can look at this again after 'Castle' is finalized, let me know then & we can approach building basics together in a fresh task.

good call, is on hold at best. Castle work has prompted some changes I'd like to make to this collection but need to focus on that project to get v 1.0 done before going back to this. Thank you.